Subject: [BUG] gitk assumes availability of `osascript` on macos

From: Robert Scott <[email-masked]>
Date: Sat, 20 Sep 2025 12:59:08 +0100

Hi,

Tiny one here. On macos, gitk (tested 2.50.1) attempts to call `osascript` so 
it can focus/raise the UI. But it fails hard if `osascript` isn't present in 
the $PATH.

There are a number of reasons `osascript` might not be available in a 
particular environment, e.g. if launched from inside a "pure" nix shell, but 
seeing as it's just a quality-of-life feature it would be nice if failures to 
call `osascript` could just be ignored.

Thanks,

robert.